Package uk.ac.starlink.topcat

# Class ClassComboBoxRenderer

java.lang.Object
uk.ac.starlink.util.gui.CustomComboBoxRenderer<Class<?>>
uk.ac.starlink.topcat.ClassComboBoxRenderer

All Implemented Interfaces:
  `ListCellRenderer<Class<?>>`

public class ClassComboBoxRenderer extends uk.ac.starlink.util.gui.CustomComboBoxRenderer<Class<?>>
Custom combo box renderer for rendering Class objects.

Since:
  17 Aug 2004
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`ClassComboBoxRenderer(String nullTxt)`
Constructs a renderer with a given null representation.

## Method Summary

Modifier and Type
Method
Description
`protected String`
`mapValue(Class<?> clazz)`

### Methods inherited from class uk.ac.starlink.util.gui.CustomComboBoxRenderer

`getListCellRendererComponent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClassComboBoxRenderer

public ClassComboBoxRenderer(String nullTxt)
Constructs a renderer with a given null representation.

Parameters:
  `nullTxt` - representation of a null class

## Method Details

### mapValue

protected String mapValue(Class<?> clazz)

Overrides:
  `mapValue` in class `uk.ac.starlink.util.gui.CustomComboBoxRenderer<Class<?>>`